Package com.sas.lsaf.content.workspace

## Class SharedWorkspaceEntry

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.content.workspace.SharedWorkspaceEntry

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class SharedWorkspaceEntry
      extends AbstractIdentifiable

  Represents the shared workspace link status for all users with Read access to the repository shared folder.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SharedWorkspaceEntry​(java.lang.String id, java.lang.String sharedWorkspaceId, java.lang.String path, java.lang.String userId, boolean linkExists)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getPath()` |
    `java.lang.String` | `getSharedWorkspaceId()` |
    `java.lang.String` | `getUserId()` |
    `int` | `hashCode()` |
    `boolean` | `isLinkExists()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SharedWorkspaceEntry

          public SharedWorkspaceEntry​(java.lang.String id,
                                      java.lang.String sharedWorkspaceId,
                                      java.lang.String path,
                                      java.lang.String userId,
                                      boolean linkExists)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the shared workspace entries returned by the API.
      Parameters:
        `id` - The unique identifier of the shared workspace entry.
        `sharedWorkspaceId` - The unique identifier of the shared workspace in which the workspace entry belongs.
        `path` - The path of the shared workspace location.
        `userId` - The user who would have access to the shared workspace, if the link exists.
        `linkExists` - Whether the shared workspace entry link exists and is available in their workspace.

  - ### Method Detail

    - #### getSharedWorkspaceId

          public java.lang.String getSharedWorkspaceId()

    - #### getPath

          public java.lang.String getPath()

    - #### getUserId

          public java.lang.String getUserId()

    - #### isLinkExists

          public boolean isLinkExists()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`